Subject: [idn] Re: FYI: BOF on Internationalized Email Addresses (IEA)

From: Mark Crispin <[email-masked]>
Date: Mon, 27 Oct 2003 11:10:55 -0800 (PST)

On Mon, 27 Oct 2003, Keith Moore wrote:

 >> Thanks for taking a stab at a problem statement.  I'd like to drill down
 >> on this just a bit.
 >> What is the source of the "growing need"?  Is it:
 >> [snip]

I agree that this needs to be stated, but someone other than me will have
to do it.

I believe that the primary push for this functionality comes from regions
which use Latin alphabetics with diacriticals; and that most individuals
in regions which do not use Latin script are accept the use of Latin
script for multinational interchange.  In many regions where Latin
diacriticals are used, there is no acceptable transform of a surname to a
form that does not use diacriticals.  Simply omitting the diacritical
causes (at least to the inhabitants of those regions) a misspelling.

This set of beliefs naturally biases how I approach the problem.  The
problem statement must be free of bias, including mine.

-- Mark --

http://staff.washington.edu/mrc
Science does not emerge from voting, party politics, or public debate.
Si vis pacem, para bellum.

---

From: "Mark Davis" <[email-masked]>
Date: Mon, 27 Oct 2003 16:16:20 -0800

I'm curious: why do you think that everyone would be satisfied with Latin
characters only, and no non-Latin characters?

Mark
__________________________________
http://www.macchiato.com
► शिष्यादिच्छेत्पराजयम् ◄

----- Original Message ----- 
From: "Mark Crispin" <[email-masked]>
To: "Keith Moore" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>; <[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>; <[email-masked]>;
<[email-masked]>
Sent: Mon, 2003 Oct 27 11:10
Subject: [idn] Re: FYI: BOF on Internationalized Email Addresses (IEA)

---

From: "Mark Davis" <[email-masked]>
Date: Mon, 27 Oct 2003 17:39:32 -0800

Ok, I understand more about the context.

Based on what I've seen, I think it quite likely that people will want email
addresses in their native script, even if that means that outsiders can't
(easily) use those email address. After all, it is quite easy to have multiple
email addresses. Mr. Tanaka can have one with Latin letters and one with
Japanese (e.g. [email-masked]).

We should remember that for a great many people in the world, Latin letters are
quite unnatural; it'd be a bit like if we had to use Greek letters in all email
addresses. And there are many projects underway in less-developed countries to
bring computers to masses of people that will even less familiarity with Latin
letters.

Mark

----- Original Message ----- 
From: "Mark Crispin" <[email-masked]>
To: "Mark Davis" <[email-masked]>
Cc: "Keith Moore" <[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>; <[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>; <[email-masked]>;
<[email-masked]>; "IMAP Extensions WG" <[email-masked]>;
<[email-masked]>; <[email-masked]>; <[email-masked]>;
<[email-masked]>
Sent: Mon, 2003 Oct 27 17:15
Subject: Re: [idn] Re: FYI: BOF on Internationalized Email Addresses (IEA)

> On Mon, 27 Oct 2003, Mark Davis wrote:
> I didn't say that.  I stated my belief that, for reasons of practicality,
> most individuals in regions which do not use Latin script accept the use
> of Latin script for multinational exchange.
>
> It does not work well for an individual in Japan with surname Tanaka to
> expect the overwhelming majority of non-Japanese individuals worldwide to
> know his surname is written with the Han characters for "rice paddy" and
> "middle", or what those characters look like, or how to enter those
> characters on the computer.
>
> It does, however, work for him to expect that the overwhelming majority of
> individuals worldwide to know how to deal with the 6 Latin letters that
> form the romanization "Tanaka".
>
> Nor is it very likely that this situation will change in the future.  I
> doubt that many individuals in the world are literate in all the world's
> active scripts.  Literacy in one's native script and basic Latin script is
> something that most computer users possess today.
>
> For domestic exchange only, that pair of Han characters are probably
> alright.  Within Western Europe, it's probably alright to use Latin
> characters with diacriticals.
>
> Perhaps the main problem that needs to be decided in any IEA effort is if
> it is alright to have email addresses that are only usable in limited
> areas of the world; or if not, how to represent internationalized email
> addresses in a usable fashion when (not if) the email address needs to be
> represented for a person and/or computer is illiterate in that script.
>
> A likely side issue is whether it is "good enough" to promote Latin
> characters with diacriticals to the same status of "everybody must know
> how to do these" that is required for ASCII.
>
> -- Mark --
>

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Tue, 28 Oct 2003 09:50:23 +0100

On Mon, Oct 27, 2003 at 05:39:32PM -0800,
 Mark Davis <[email-masked]> wrote 
 a message of 76 lines which said:

> addresses. 

It would be a bit like if we had to use Greek letters in mathematics
:-)

---

From: "Mark Davis" <[email-masked]>
Date: Tue, 28 Oct 2003 06:54:45 -0800

Sigh. I used "Greek" in an analogy because I was hoping that some of the Latin-only folks out there would at least recognize the name of one other script. But how comforable would you really be, if يُُ وِرِ فُرسِد تُ رَِد َن ِنتِرِلي دِففِرِنت سكرِپت، سِمپلي تُ ُندِرستَند ِمَِل َددرِسسِس، َند َ سكرِپت تهَت كُُلد ُنلي پَرتَِللي رِفلِكت تهِ رَِل سپِللِنگ ُف يُُر وُردس?

Mark

---

From: "Mark Davis" <[email-masked]>
Date: Tue, 28 Oct 2003 07:10:59 -0800

> > (I agree that it's currently nearly impossible to use computers if one
> > isn't familiar with the Latin script, of course.)
>
> Which probably makes the rest of this discussion academic, unless we're
> going to undertake solving *that* problem for Microsoft and the various
> UNIX/Linux vendors...

It is currently impossible to use the Internet without knowing the Latin script.
However, the goal of most well-designed client software and operating systems is
to permit the user to work entirely within their native language, with a fully
localized system. This is reaching to India and other countries; Microsoft has
introduced fully localized versions of Indic Windows just recently, and Linux
vendors are hard at work to produce fully localized versions of their software.

Email and Web addresses are the big remaining holdouts for most people. People
should not be forced to use a script that they are unfamiliar with, just to use
email addresses and sites in their own countries. Even if they are familiar with
the Latin script, it is very often a very bad match for their languages, making
it very difficult to figure out how native words would be spelled in it.

Mark

---

From: Marc Blanchet <[email-masked]>
Date: Tue, 28 Oct 2003 11:12:54 -0500

it appears to me that this thread is not very different from the idn
considerations on usage of idn in the world. So what is really new in this
discussion?

Marc.

-- Tuesday, October 28, 2003 07:10:59 -0800 Mark Davis
<[email-masked]> wrote/a ecrit:

> It is currently impossible to use the Internet without knowing the Latin
> script. However, the goal of most well-designed client software and
> operating systems is to permit the user to work entirely within their
> native language, with a fully localized system. This is reaching to India
> and other countries; Microsoft has introduced fully localized versions of
> Indic Windows just recently, and Linux vendors are hard at work to
> produce fully localized versions of their software.
> 
> Email and Web addresses are the big remaining holdouts for most people.
> People should not be forced to use a script that they are unfamiliar
> with, just to use email addresses and sites in their own countries. Even
> if they are familiar with the Latin script, it is very often a very bad
> match for their languages, making it very difficult to figure out how
> native words would be spelled in it.
> 
> Mark
> 

------------------------------------------
Marc Blanchet
Hexago
tel: +1-418-266-5533x225
------------------------------------------
http://www.freenet6.net: IPv6 connectivity
------------------------------------------

---

From: "Mark Davis" <[email-masked]>
Date: Tue, 28 Oct 2003 08:22:37 -0800

I wouldn't have thought so either, but at least some people questioned the need
for non-Latin characters, and went so far as to exclude them from a proposed
problem statement:

> ... There is a growing need to use additional
> characters, specifically Latin characters with diacriticals and non-Latin
> characters, in email addresses to better serve the needs of the
> multi-national Internet community...

Mark

----- Original Message ----- 
From: "Marc Blanchet" <[email-masked]>
To: "Mark Davis" <[email-masked]>; "Mark Crispin"
<[email-masked]>; "Abhijit Menon-Sen" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Tue, 2003 Oct 28 08:12
Subject: Re: [idn] Re: FYI: BOF on Internationalized Email Addresses (IEA)

---

From: John C Klensin <[email-masked]>
Date: Tue, 28 Oct 2003 12:36:07 -0500

--On Tuesday, October 28, 2003 11:12 -0500 Marc Blanchet
<[email-masked]> wrote:

> it appears to me that this thread is not very different from
> the idn considerations on usage of idn in the world. So what
> is really new in this discussion?

See the draft.

Quick answer: DNS interfaces really exist at the protocol level,
and a large part of the hypothesis behind IDNA was that it would
be possible, after we had enough implementations, to prevent an
end-user from ever seeing an encoded domain name.  That story
just doesn't hold for a special encoding-based (aka MUA-only)
email local part implementation, and maybe not for email
generally.  For example, under current rules, an MTA is required
to stuff the name it actually sees in HELO/EHLO and the MAIL
command into various headers.  If it is expected to notice that
they have special encodings and decodes them, we've gone rather
far into "the infrastructure is involved", even if the actual
on-the-wire transport is not impacted.  If it doesn't do that,
the encodings --both the IDNA domain parts and the special mail
encoding-- are going to be in the user's face, in the most
literal sense of that term.  

The similarity of that situation to the early IDN discussions is
the importance of the "what problem are you solving" question.
And it is very clear to me that, for email addresses, the answer
has got to "user sees their own characters in their email
addresses and the email addresses of those whose languages they
speak/ recognize.  Users typically don't actually see envelopes.
But seeing, e.g., different forms/codings of an address in the
header "From:" field than appears in "Return-path:" or than
appears in a signature line in the message body, is going to
create real unhappiness.  Similarly as has been pointed out in
another context, seeing an address in different from when it
appears in a header than when it (and that header) are
encapsulated in a message/?? body part is just not going to
amuse any user to whom we've said "ok, now you have i18n
strings, enjoy your new found local language capabilities".  And
I guess that tells you what I think the problem is that we need
to solve.  YMMD.

     john

---

From: [email-masked]
Date: Tue, 28 Oct 2003 15:07:19 -0500

> Japanese (e.g. [email-masked]).

This gets interesting in the context of a "reply all".

Apologies for breaking the UTF-8 in the quote, but it's illustrative - if the
breakage had been in the To/Cc lines, things would have broken even worse
unless whatever scheme we end up using is ASCII-transparent.

---

From: John C Klensin <[email-masked]>
Date: Tue, 28 Oct 2003 12:36:07 -0500

See the draft.

     john

---

From: [email-masked]
Date: Tue, 28 Oct 2003 15:07:19 -0500

---

From: James Seng <[email-masked]>
Date: Thu, 30 Oct 2003 07:26:28 +0800

Crispin,

You need to get out of US (or Wsshington) more often.

-James Seng

> I am not convinced that it is possible to use a computer on the Internet
> anywhere in the world without at least a basic acquaintance with Latin
> script.
> 
> I do not believe many individuals (other than primary school children) are
> literate in their native language but are completely illiterate in Latin
> script.  This does not mean "being able to read or write the English
> language"; rather, this simply means knowing the Latin script alphabet.
> 
> Put another way, individuals who are completely illiterate in Latin script
> are also likely to be illiterate in their native language script as well.
> 
> No other script on the planet has such international recognition.
> 
> There is undoubtably a *preference* for one's native script; and that
> preference should be respected as much as possible.
> 
> -- Mark --
>

---

From: James Seng <[email-masked]>
Date: Thu, 30 Oct 2003 07:32:46 +0800

> I do not believe that this is true for Chinese.  AFAIK, Chinese primary
> school kids use Latin script with hanyu-pinyin as a stopgap prior to their
> mastery of Han script (which takes many years).

Nope. Hanyu Pinyin was designed to replace the Han ideograph but it 
never did.

> Note that when I say "recognize Latin script", I mean the ability to
> determine that "dog" is a three-letter word that has the letters "d", "o",
> and "g", each of which the individual recognizes and can name.  This does
> not include the ability to recognize that this refers to a domesticated
> canine.

Based on your reasonings, I think we should all reverted back to 
numbers, because that is the only universal recongizable set of symbols 
we have.

We have this argument in IDN before and we certainly dont need this 
again. If you feel we should all stick to Latin, yes, you are entitled 
to your opinion but please do so in other place, and not here. The group 
is suppose to work on Internationalization of Email address 
(identifiers), not debate whether we need it or not.

-James Seng